[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.AsAnsiString

Parameter contents as an ANSI string

## Declaration

Source position: db.pas line 1263

`public property TParam.AsAnsiString : AnsiString read GetAsAnsiString write SetAsAnsiString;`

## Description

AsAnsiString returns the parameter data as an ANSI string (single byte character string). Note that if the parameter contains unicode data, some characters may get lost when reading.

## See also

TParam.AsString |  | Get/Set parameter value as a string value
TParam.AsUnicodeString |  | Parameter contents as a Unicode string
TParam.AsUTF8String |  | Parameter contents as an UTF8 string